# RW_Process_Mutex.h File Reference

`#include "ace/File_Lock.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/OS_NS_fcntl.h"`
`#include "ace/RW_Process_Mutex.inl"`

Include dependency graph for RW_Process_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_RW_Process_Mutex
| Wrapper for readers/writer locks that exist across processes. More...

## Detailed Description

Id
  RW_Process_Mutex.h,v 4.12 2005/11/26 03:13:13 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>